[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DrawFillRect

Draws the fill rectangle on the specified canvas.

## Declaration

Source position: grids.pas line 1055

`protected procedure TCustomGrid.DrawFillRect(`
`aCanvas: TCanvas;`
`R: TRect`
`);`

## Arguments

`aCanvas` |  | Canvas where the fill rectangle is drawn.
`R` |  | Rectangle with the bounds filled in the method.

## Description

Shifts the specified rectangle by one pixel on the left- and right-hand edges when UseRightToLeftAlignment is set to True. Calls the FillRect method in the TCanvas instance to draw the adjusted rectangle.

DrawFillRect is called from the DrawCell method.